Summary: Table/matrix widget extension to Tcl/Tk.
Name: tktable
Version: 2.9
Release: 0.fdr.1.2
Epoch: 0
License: BSD-like
Group: Development/Libraries
Source: http://download.sourceforge.net/tktable/Tktable2.9.tar.gz
URL: http://tktable.sourceforge.net/
BuildRequires: XFree86-devel >= 0:4, tk >= 0:8.3.1
# work around tcl-devel and tk-devel packages non existence in RH 8.0 and 9:
BuildRequires: %{_includedir}/tk.h, %{_includedir}/tcl.h
Requires: tk >= 0:8.3.1
BuildRoot: %_tmppath/%name-%version-%release-root-%(%__id_u -n)

%description
Tktable provides a table/matrix widget for Tk programs. Features:
multi-line cells, embedded windows, variable width columns/height rows
(interactively resizable), scrollbar support, tag styles per row,
column or cell, in-cell editing, works on UNIX, Windows and MacIntosh,
Unicode support with Tk 8.1 and above.

%prep

%setup -q -n Tktable%version

%build
%configure --with-tcl=%_libdir --with-tk=%_libdir
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
DIRECTORY=$RPM_BUILD_ROOT%_libdir/%name%version
install -d $DIRECTORY
install -p libTktable2.9.so $DIRECTORY/
install -m 644 -p pkgIndex.tcl library/tkTable.tcl $DIRECTORY
install -d $RPM_BUILD_ROOT%_mandir/mann
install -m 644 -p doc/tkTable.n $RPM_BUILD_ROOT%_mandir/mann

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog README.txt README.blt license.txt doc/tkTable.html
%_mandir/mann/tkTable.*
%_libdir/%name%version


%changelog

* Mon Sep 20 2004 Jean-Luc Fontaine <jfontain@free.fr> 0:2.9-0.fdr.1
- Tktable version 2.9 new source release

* Tue Dec 8 2003 Jean-Luc Fontaine <jfontain@free.fr> 0:2.8-0.fdr.10
- removed %doc tag for manual page since rpm does it automatically

* Tue Dec 7 2003 Jean-Luc Fontaine <jfontain@free.fr> 0:2.8-0.fdr.9
- changed license to BSD like
- removed redundant XFree86 libraries build requirement
- added SMP flags to make stage

* Tue Nov 16 2003 Jean-Luc Fontaine <jfontain@free.fr> 0:2.8-0.fdr.8
- in install stage, removed some useless manual installation of
  documentation files which left them in the BUILD directory

* Tue Nov 16 2003 Jean-Luc Fontaine <jfontain@free.fr> 0:2.8-0.fdr.7
- in build requirements, work around tcl-devel and tk-devel packages non
  existence in RH 8.0 and 9

* Tue Nov 6 2003 Jean-Luc Fontaine <jfontain@free.fr> 0:2.8-0.fdr.6
- escaped percent characters in change log

* Tue Nov 4 2003 Jean-Luc Fontaine <jfontain@free.fr> 0:2.8-0.fdr.5
- use "download.sourceforge.net/..." instead of
  "prdownloads.sourceforge.net/..." to make URLs directly downloadable
- removed AutoReqProv
- used "%%setup -q -n ..." to remove unnecessary cd's.
- added -p argument to install to preserve timestamps
- replaced %%__install by install
- no longer use RPM_OPT_FLAGS in CFLAGS as make argument as %%configure
  already handles it

* Tue Nov 1 2003 Jean-Luc Fontaine <jfontain@free.fr> 0:2.8-0.fdr.4
- removed RCS line
- set Epoch to 0 and removed it from Release
- used a full macroless URL to the source tarball
- removed Packager (not used in Fedora)
- used rm instead of %%__rm macro
- use wildcards in manual pages files entry
- added epoch to build requirements

* Tue Oct 22 2003 Jean-Luc Fontaine <jfontain@free.fr> 0:2.8-0.fdr.3
- checked with rpmlint and improved accordingly
- release 3 as previous non-fedora spec file release was 2
